RSS
 

Apt-fast 1.6.2 — Ускоряем обновление системы

04 Апр

linux-ubuntuВсе вокруг пишут про замечательную утилиту Apt-fast, а вот давние читатели Убунтовода уже должны быть о ней в курсе, ибо я о ней уже писал. Подписывайтесь на наш сайт (все ссылки в правом сайдбаре), чтобы первыми быть в курсе всех полезных приложений.

Итак, для тех кто пропустил новость, повторюсь. Apt-fast — это специальный bash-скрипт, который ощутимо ускоряет загрузку новых пакетов, делая это в несколько потоков, используя менеджеры загрузок axel и aria2.

В версии 1.6.2, которая вышла совсем недавно, было исправлено несколько багов, а так же повышена стабильность.

Пользоваться приложением очень просто. Теперь вам нужно будет вместо apt-get вводить apt-fast, вот и всё.

К примеру захотели вы установить atool из предыдущей статьи. Вместо такой команды:

sudo apt-get install atool

Введите такую:

sudo apt-fast install atool

А обновить систему можно вот так:

sudo apt-fast update && sudo apt-fast upgrade

Установка Apt-fast

Итак, перейдём к установке. Введите следующие команды:

sudo add-apt-repository ppa:apt-fast/stable
sudo apt-get update
sudo apt-get install apt-fast axel

Но после запуска вы явно увидите следующую ошибку:

sk8er@desktop:~$ sudo apt-fast update
[sudo] password for sk8er:
You must configure /etc/apt-fast.conf to use axel or aria2c

Ничего страшного. Вам просто нужно отредактировать конфигурационный файл:

sudo gedit /etc/apt-fast.conf

В открывшемся файле нужно раскомментировать 28-ую строку (убрать знак #), после чего она будет выглядеть следующим образом:

_DOWNLOADER='cat /tmp/apt-fast.list | xargs -l1 axel -n ${_MAXNUM} -a' # axel

Если вам нужна поддержка прокси, то раскомментируйте строчку с aria2c, а для изменения утилиты обновления отредактируйте 13-ую строчку.

 

 
Комментарии к записи Apt-fast 1.6.2 — Ускоряем обновление системы отключены

Рубрика: Ubuntu, Без рубрики

 

Comments are closed.